Subject: Re: [Roll] P2P-RPL: RIO/PIO in P2P-DIO

From: "Reddy, Joseph" <[email-masked]>
Date: Mon, 4 Jun 2012 04:50:22 +0000

Hi Mukul,

Thanks for the clarification. For the PIO flags, I think the settings must not contradict the RPL spec. So  I would add the same restrictions here ( i.e. L bit must not be set ).

-Regards, Joseph

________________________________

From: "Mukul Goyal" <[email-masked]<mailto:[email-masked]>>
To: "Joseph Reddy" <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>
Sent: Friday, May 25, 2012 4:40:22 PM
Subject: Re: [Roll] P2P-RPL: RIO/PIO in P2P-DIO

Hi Joseph

Please see inline.

Thanks
Mukul

[Joseph1]
Section 6.1:
"...A P2P-DIO MAY carry one or more RIO and PIO options..."
I am not sure how these options should be used by the DAG members. Later on, in 9.1, it says that "..the temporary DAG must not be used to route packets....". So what is the purpose of RIO and also PIO ?

[Mukul1]
The RIO would advertize to the target(s) the origin's connectivity to the specified prefix. Regarding PIO, I would very much like to allow P2P mode DIOs to carry PIOs to propagate prefixes for address selfconfiguration (i.e. have A flag set). I think we could forbid setting the R flag to one in a PIO carried in a P2P mode DIOs. Regarding the L flag, I think we could allow a P2P mode DIO to carry a PIO with L flag set subject to the following rules in RFC 6550:
<...>

[Joseph2]
The RIO/PIO information is sent by the Origin to propagate its connectivity and prefix information. However, the route is established towards the Target. So I don’t understand why the Origin information is relevant ..

[Mukul2]

Here is some relevant text from Section 9.3:

"A router SHOULD discard a received P2P mode DIO with no further
   processing if it does not have bidirectional reachability with the
   neighbor that generated the received DIO.  Note that bidirectional
   reachability does not mean that the link must have the same values
   for a routing metric in both directions.  A router SHOULD calculate
   the values of the link-level routing metrics included in the received
   DIO taking in account the metric's value in both forward and Backward
   directions.  Bidirectional reachability along a discovered route
   allows the Target to use this route to reach the Origin.  In
   particular, the DRO messages travel from the Target to the Origin
   along a discovered route.
"

So, the target can certainly use a discovered route as a source route to reach the origin. The backward direction route may not meet desired routing constraints but does provide a way to reach the origin. So, it may be useful for the target to know what destination prefixes can be reached via the origin. In fact, it makes sense to allow the target to include one or more  RIOs in its DRO to let origin know what destination prefixes could be reached via the target.

Regarding the PIO, I think the most critical need is to allow the propagation of address self-configuration prefixes via P2P mode DIOs. These prefixes can be used not only by the target but also the other nodes that join the temporary DAG. I am not too sure about allowing PIOs with L flag set inside the P2P mode DIOs. Would certainly like to hear your views on this.

_______________________________________________
Roll mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/roll

---

From: Mukul Goyal <[email-masked]>
Date: Mon, 4 Jun 2012 01:38:05 -0500 (CDT)

So I guess I would simply refer to RFC 6550 regarding how PIOs might be used in P2P-RPL. I will also clarify that the RIO would advertize to the target(s) the origin's connectivity to the specified prefix.

Thanks
Mukul

----- Original Message -----
From: "Joseph Reddy" <[email-masked]>
To: "Mukul Goyal" <[email-masked]>
Cc: [email-masked]
Sent: Sunday, June 3, 2012 11:50:22 PM
Subject: RE: [Roll] P2P-RPL: RIO/PIO in P2P-DIO

Hi Mukul, 

-Regards, Joseph 
----- Original Message -----

From: "Mukul Goyal" < [email-masked] > 
To: "Joseph Reddy" < [email-masked] > 
Cc: [email-masked] 
Sent: Friday, May 25, 2012 4:40:22 PM 
Subject: Re: [Roll] P2P-RPL: RIO/PIO in P2P-DIO 

Hi Joseph 

Please see inline. 

Thanks 
Mukul 

[Joseph1] 
Section 6.1: 

[Mukul1] 

[Joseph2] 

[Mukul2] 

[email-masked]